package org.dromara.payment.merchant.service;

import com.alibaba.fastjson.JSONObject;
import org.dromara.payment.merchant.domain.BusMerchantProduct;
import org.dromara.payment.merchant.domain.vo.BusMerchantProductVo;
import org.dromara.payment.merchant.domain.bo.BusMerchantProductBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 商户产品表Service接口
 *
 * @author LionLi
 * @date 2024-04-03
 */
public interface IBusMerchantProductService {

    /**
     * 查询商户产品表
     */
    BusMerchantProductVo queryById(Long id);

    /**
     * 查询商户产品表列表
     */
    TableDataInfo<BusMerchantProductVo> queryPageList(BusMerchantProductBo bo, PageQuery pageQuery);

    /**
     * 查询商户产品表列表
     */
    List<BusMerchantProductVo> queryList(BusMerchantProductBo bo);

    /**
     * 新增商户产品表
     */
    Boolean insertByBo(JSONObject bo);

    /**
     * 修改商户产品表
     */
    Boolean updateByBo(BusMerchantProductBo bo);

    /**
     * 校验并批量删除商户产品表信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
